<bugID>1391256<Summary>Activity Stream settings sidebar repaints and animates on the main thread</Summary><Description>Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:57.0) Gecko/20100101 Firefox/57.0

Build ID: 20170817100132

STR:

1) Enable paint flashing in content by setting nglayout.debug.paint_flashing to true
2) Open about:newtab
3) Click on the gear icon in the top right corner to open the settings panel

AR:

The settings panel repaints for each frame of its animation (you can tell this because the colour is changing for each frame).

Video: https://www.screencast.com/t/ojg4YH8a

ER:

The panel should only be painted once, and animate completely on the GPU.

This should be a pretty straight-forward fix / easy win. From the looks of the CSS, we're animating the sidebar element by transitioning on the left / right CSS properties. We should avoid those, and use transform: translateX instead. This should ensure a smooth, 60fps animation on the sidebar.</Description></bugID>